// ==========================================================================
// $Id: bounds.h,v 1.2 2011/10/19 14:20:20 jlang Exp $
// CSI2372 example Code for lecture 7
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   EECS, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.eecs.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@eecs.uottawa.ca
// ==========================================================================
// $Log: bounds.h,v $
// Revision 1.2  2011/10/19 14:20:20  jlang
// update before lecture
//
// Revision 1.1  2011/10/19 03:24:40  jlang
// Added code for lecture 7
//
// Revision 1.1  2011/09/27 17:22:20  jlang
// Added bounding shape example
//
//
// ==========================================================================
#ifndef BOUNDS_H
#define BOUNDS_H

#include "point2d.h" 

class Bounds {
public:
  virtual bool enclose( Point2D extrema[], int _size );
  virtual bool isInside( const Point2D& _pt ) const;
  virtual void print() const;
  virtual ~Bounds() {};
};


#endif
